import { EventEmitter } from '@angular/core';
import { FabButtonModel } from '../../models/fab/fab-button.model';
export declare type BtnAnimateState = ('void' | 'right-show' | 'left-show' | 'up-show' | 'down-show');
export declare class FabCoreComponent {
    buttons: Array<FabButtonModel>;
    mainButton: FabButtonModel;
    direction: string;
    styling: any;
    triggerAction: EventEmitter<any>;
    buttonAction: EventEmitter<any>;
    showButtons: boolean;
    stayOpened: boolean;
    animateState: BtnAnimateState;
    constructor();
    setAnimateState(): void;
    checkTriggerIcon(trigger: any): void;
    checkDirection(): void;
    tooltipPosition(button: any): void;
    hasHidden(btn: Object): boolean;
    iconType(icon: any): boolean;
    ngOnInit(): void;
    /** @hidden
     * <p> Keep the properties object updated with any changes from external properties to keep the fab dynamic.</p>
     * @param changes
     */
    ngOnChanges(changes: any): void;
    triggerBtnMenu(trigger: any): void;
    fireAction(index: any, button: any): void;
    shouldShowLabel(title: string): boolean;
}
